Skip navigation
ABYBH
Currently Being Moderated

ReferenceError: Error #1056: Cannot create property layoutWidth on mx.core.AdvancedLayoutFeatures

Dec 8, 2012 9:44 AM

Hi All,

 

I am new to Flex and got stuck in between. Any help will be appreciated .Please find my problem below:

 

As per requirement, have to run Flex project created with flex SDK 4.5.1 with flex SDK 4.0.

I have imported and compiled project with SDK 4.0 successfully. But when tried to run getting the following error:

 

 

ReferenceError: Error #1056: Cannot create property layoutWidth on mx.core.AdvancedLayoutFeatures.

    at spark.core::SpriteVisualElement/initAdvancedLayoutFeatures()[E:\dev\4 .x\frameworks\projects\spark\src\spark\core\SpriteVisualElement.as:165 ]

    at spark.core::SpriteVisualElement/set scaleX()[E:\dev\4.x\frameworks\projects\spark\src\spark\core\SpriteVi sualElement.as:1518]

    at mx.controls::SWFLoader/doScaleContent()[E:\dev\4.0.0\frameworks\proje cts\framework\src\mx\controls\SWFLoader.as:2058]

    at mx.controls::SWFLoader/updateDisplayList()[E:\dev\4.0.0\frameworks\pr ojects\framework\src\mx\controls\SWFLoader.as:1438]

    at mx.controls::Image/updateDisplayList()[E:\dev\4.0.0\frameworks\projec ts\framework\src\mx\controls\Image.as:345]

    at mx.core::UIComponent/validateDisplayList()[E:\dev\4.0.0\frameworks\pr ojects\framework\src\mx\core\UIComponent.as:8531]

    at mx.managers::LayoutManager/validateClient()[E:\dev\4.0.0\frameworks\p rojects\framework\src\mx\managers\LayoutManager.as:932]

    at mx.core::UIComponent/validateNow()[E:\dev\4.0.0\frameworks\projects\f ramework\src\mx\core\UIComponent.as:7631]

    at spark.components::DataGroup/initializeTypicalItem()[E:\dev\4.x\framew orks\projects\spark\src\spark\components\DataGroup.as:291]

    at spark.components::DataGroup/ensureTypicalLayoutElement()[E:\dev\4.x\f rameworks\projects\spark\src\spark\components\DataGroup.as:346]

    at spark.components::DataGroup/measure()[E:\dev\4.x\frameworks\projects\ spark\src\spark\components\DataGroup.as:1297]

    at mx.core::UIComponent/measureSizes()[E:\dev\4.0.0\frameworks\projects\ framework\src\mx\core\UIComponent.as:8042]

    at mx.core::UIComponent/validateSize()[E:\dev\4.0.0\frameworks\projects\ framework\src\mx\core\UIComponent.as:7966]

    at mx.managers::LayoutManager/validateSize()[E:\dev\4.0.0\frameworks\pro jects\framework\src\mx\managers\LayoutManager.as:617]

    at mx.managers::LayoutManager/doPhasedInstantiation()[E:\dev\4.0.0\frame works\projects\framework\src\mx\managers\LayoutManager.as:733]

    at mx.managers::LayoutManager/doPhasedInstantiationCallback()[E:\dev\4.0 .0\frameworks\projects\framework\src\mx\managers\LayoutManager.as:1072 ]

 

Seems like SDK mismatch error.

 

Can anyone pls suggest , how to solve this ?

 

 

Its Urgent!!

 

 

Many Thanks !!

 

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points